## freebsd-libs 9.0+ds1

=== lib/libkiconv/Makefile ===
# $FreeBSD$

LIB=		kiconv
SHLIBDIR?=	/lib
SRCS=		kiconv_sysctl.c xlat16_iconv.c xlat16_sysctl.c
SRCS+=		quirks.c

SHLIB_MAJOR=	4

MAN=		kiconv.3

MLINKS+=	kiconv.3 kiconv_add_xlat16_cspair.3 \
		kiconv.3 kiconv_add_xlat16_cspairs.3 \
		kiconv.3 kiconv_add_xlat16_table.3

CFLAGS+=	-I${.CURDIR}/../../sys

WARNS?=		1

.include <bsd.lib.mk>

=== lib/libusb/Makefile ===
#
# $FreeBSD$
#
# Makefile for the FreeBSD specific LibUSB 2.0
#

LIB=		usb
SHLIB_MAJOR=	2
SHLIB_MINOR=	0
SRCS=		libusb20.c
SRCS+=		libusb20_desc.c
SRCS+=		libusb20_ugen20.c
INCS+=		libusb20.h
INCS+=		libusb20_desc.h
MAN=		libusb.3 libusb20.3
MKLINT=		no
NOGCCERROR=

WARNS?=		2

MLINKS+=	libusb.3 usb.3

# libusb 0.1 compat
INCS+=		usb.h
SRCS+=		libusb01.c

# libusb 1.0 compat
INCS+=		libusb.h
SRCS+=		libusb10.c
SRCS+=		libusb10_desc.c
SRCS+=		libusb10_io.c

.if defined(COMPAT_32BIT)
CFLAGS+=	-DCOMPAT_32BIT
.endif

.include <bsd.lib.mk>

# LibUSB v1.0
MLINKS += libusb.3 libusb_init.3
MLINKS += libusb.3 libusb_exit.3
MLINKS += libusb.3 libusb_strerror.3
MLINKS += libusb.3 libusb_error_name.3
MLINKS += libusb.3 libusb_set_debug.3
MLINKS += libusb.3 libusb_get_device_list.3
MLINKS += libusb.3 libusb_free_device_list.3
MLINKS += libusb.3 libusb_get_bus_number.3
MLINKS += libusb.3 libusb_get_device_address.3
MLINKS += libusb.3 libusb_get_device_speed.3
MLINKS += libusb.3 libusb_get_max_packet_size.3
MLINKS += libusb.3 libusb_ref_device.3
MLINKS += libusb.3 libusb_unref_device.3
MLINKS += libusb.3 libusb_open.3
MLINKS += libusb.3 libusb_open_device_with_vid_pid.3
MLINKS += libusb.3 libusb_close.3
MLINKS += libusb.3 libusb_get_device.3
MLINKS += libusb.3 libusb_get_configuration.3
MLINKS += libusb.3 libusb_set_configuration.3
MLINKS += libusb.3 libusb_claim_interface.3
MLINKS += libusb.3 libusb_release_interface.3
MLINKS += libusb.3 libusb_set_interface_alt_setting.3
MLINKS += libusb.3 libusb_clear_halt.3
MLINKS += libusb.3 libusb_reset_device.3
MLINKS += libusb.3 libusb_check_connected.3
MLINKS += libusb.3 libusb_kernel_driver_active.3
MLINKS += libusb.3 libusb_get_driver.3
MLINKS += libusb.3 libusb_get_driver_np.3
MLINKS += libusb.3 libusb_detach_kernel_driver.3
MLINKS += libusb.3 libusb_detach_kernel_driver_np.3
MLINKS += libusb.3 libusb_attach_kernel_driver.3
MLINKS += libusb.3 libusb_get_device_descriptor.3
MLINKS += libusb.3 libsub_get_active_config_descriptor.3
MLINKS += libusb.3 libusb_get_config_descriptor.3
MLINKS += libusb.3 libusb_get_config_descriptor_by_value.3
MLINKS += libusb.3 libusb_free_config_descriptor.3
MLINKS += libusb.3 libusb_get_string_descriptor_ascii.3
MLINKS += libusb.3 libusb_alloc_transfer.3
MLINKS += libusb.3 libusb_free_transfer.3
MLINKS += libusb.3 libusb_submit_transfer.3
MLINKS += libusb.3 libusb_cancel_transfer.3
MLINKS += libusb.3 libusb_control_transfer.3
MLINKS += libusb.3 libusb_bulk_transfer.3
MLINKS += libusb.3 libusb_interrupt_transfer.3
MLINKS += libusb.3 libusb_try_lock_events.3
MLINKS += libusb.3 libusb_lock_events.3
MLINKS += libusb.3 libusb_unlock_events.3
MLINKS += libusb.3 libusb_event_handling_ok.3
MLINKS += libusb.3 libusb_event_handler_active.3
MLINKS += libusb.3 libusb_lock_event_waiters.3
MLINKS += libusb.3 libusb_unlock_event_waiters.3
MLINKS += libusb.3 libusb_wait_for_event.3
MLINKS += libusb.3 libusb_handle_events_timeout.3
MLINKS += libusb.3 libusb_handle_events.3
MLINKS += libusb.3 libusb_handle_events_locked.3
MLINKS += libusb.3 libusb_get_next_timeout.3
MLINKS += libusb.3 libusb_set_pollfd_notifiers.3
MLINKS += libusb.3 libusb_get_pollfds.3

# LibUSB v0.1
MLINKS += libusb.3 usb_open.3
MLINKS += libusb.3 usb_close.3
MLINKS += libusb.3 usb_get_string.3
MLINKS += libusb.3 usb_get_string_simple.3
MLINKS += libusb.3 usb_get_descriptor_by_endpoint.3
MLINKS += libusb.3 usb_get_descriptor.3
MLINKS += libusb.3 usb_parse_descriptor.3
MLINKS += libusb.3 usb_parse_configuration.3
MLINKS += libusb.3 usb_destroy_configuration.3
MLINKS += libusb.3 usb_fetch_and_parse_descriptors.3
MLINKS += libusb.3 usb_bulk_write.3
MLINKS += libusb.3 usb_bulk_read.3
MLINKS += libusb.3 usb_interrupt_write.3
MLINKS += libusb.3 usb_interrupt_read.3
MLINKS += libusb.3 usb_control_msg.3
MLINKS += libusb.3 usb_set_configuration.3
MLINKS += libusb.3 usb_claim_interface.3
MLINKS += libusb.3 usb_release_interface.3
MLINKS += libusb.3 usb_set_altinterface.3
MLINKS += libusb.3 usb_resetep.3
MLINKS += libusb.3 usb_clear_halt.3
MLINKS += libusb.3 usb_reset.3
MLINKS += libusb.3 usb_strerror.3
MLINKS += libusb.3 usb_init.3
MLINKS += libusb.3 usb_set_debug.3
MLINKS += libusb.3 usb_find_busses.3
MLINKS += libusb.3 usb_find_devices.3
MLINKS += libusb.3 usb_device.3
MLINKS += libusb.3 usb_get_busses.3
MLINKS += libusb.3 usb_check_connected.3

# LibUSB v2.0
MLINKS += libusb20.3 libusb20_tr_close.3
MLINKS += libusb20.3 libusb20_tr_open.3
MLINKS += libusb20.3 libusb20_tr_get_pointer.3
MLINKS += libusb20.3 libusb20_tr_get_time_complete.3
MLINKS += libusb20.3 libusb20_tr_get_actual_frames.3
MLINKS += libusb20.3 libusb20_tr_get_actual_length.3
MLINKS += libusb20.3 libusb20_tr_get_max_frames.3
MLINKS += libusb20.3 libusb20_tr_get_max_packet_length.3
MLINKS += libusb20.3 libusb20_tr_get_max_total_length.3
MLINKS += libusb20.3 libusb20_tr_get_status.3
MLINKS += libusb20.3 libusb20_tr_pending.3
MLINKS += libusb20.3 libusb20_tr_callback_wrapper.3
MLINKS += libusb20.3 libusb20_tr_clear_stall_sync.3
MLINKS += libusb20.3 libusb20_tr_drain.3
MLINKS += libusb20.3 libusb20_tr_set_buffer.3
MLINKS += libusb20.3 libusb20_tr_set_callback.3
MLINKS += libusb20.3 libusb20_tr_set_flags.3
MLINKS += libusb20.3 libusb20_tr_get_length.3
MLINKS += libusb20.3 libusb20_tr_set_length.3
MLINKS += libusb20.3 libusb20_tr_set_priv_sc0.3
MLINKS += libusb20.3 libusb20_tr_set_priv_sc1.3
MLINKS += libusb20.3 libusb20_tr_set_timeout.3
MLINKS += libusb20.3 libusb20_tr_set_total_frames.3
MLINKS += libusb20.3 libusb20_tr_setup_bulk.3
MLINKS += libusb20.3 libusb20_tr_setup_control.3
MLINKS += libusb20.3 libusb20_tr_setup_intr.3
MLINKS += libusb20.3 libusb20_tr_setup_isoc.3
MLINKS += libusb20.3 libusb20_tr_bulk_intr_sync.3
MLINKS += libusb20.3 libusb20_tr_start.3
MLINKS += libusb20.3 libusb20_tr_stop.3
MLINKS += libusb20.3 libusb20_tr_submit.3
MLINKS += libusb20.3 libusb20_tr_get_priv_sc0.3
MLINKS += libusb20.3 libusb20_tr_get_priv_sc1.3
MLINKS += libusb20.3 libusb20_dev_get_backend_name.3
MLINKS += libusb20.3 libusb20_dev_get_info.3
MLINKS += libusb20.3 libusb20_dev_get_iface_desc.3
MLINKS += libusb20.3 libusb20_dev_get_desc.3
MLINKS += libusb20.3 libusb20_dev_close.3
MLINKS += libusb20.3 libusb20_dev_detach_kernel_driver.3
MLINKS += libusb20.3 libusb20_dev_set_config_index.3
MLINKS += libusb20.3 libusb20_dev_get_debug.3
MLINKS += libusb20.3 libusb20_dev_get_fd.3
MLINKS += libusb20.3 libusb20_dev_kernel_driver_active.3
MLINKS += libusb20.3 libusb20_dev_open.3
MLINKS += libusb20.3 libusb20_dev_process.3
MLINKS += libusb20.3 libusb20_dev_request_sync.3
MLINKS += libusb20.3 libusb20_dev_req_string_sync.3
MLINKS += libusb20.3 libusb20_dev_req_string_simple_sync.3
MLINKS += libusb20.3 libusb20_dev_reset.3
MLINKS += libusb20.3 libusb20_dev_check_connected.3
MLINKS += libusb20.3 libusb20_dev_set_power_mode.3
MLINKS += libusb20.3 libusb20_dev_get_power_mode.3
MLINKS += libusb20.3 libusb20_dev_set_alt_index.3
MLINKS += libusb20.3 libusb20_dev_get_device_desc.3
MLINKS += libusb20.3 libusb20_dev_alloc_config.3
MLINKS += libusb20.3 libusb20_dev_alloc.3
MLINKS += libusb20.3 libusb20_dev_get_address.3
MLINKS += libusb20.3 libusb20_dev_get_parent_address.3
MLINKS += libusb20.3 libusb20_dev_get_parent_port.3
MLINKS += libusb20.3 libusb20_dev_get_bus_number.3
MLINKS += libusb20.3 libusb20_dev_get_mode.3
MLINKS += libusb20.3 libusb20_dev_get_speed.3
MLINKS += libusb20.3 libusb20_dev_get_config_index.3
MLINKS += libusb20.3 libusb20_dev_free.3
MLINKS += libusb20.3 libusb20_dev_set_debug.3
MLINKS += libusb20.3 libusb20_dev_wait_process.3
MLINKS += libusb20.3 libusb20_be_get_template.3
MLINKS += libusb20.3 libusb20_be_set_template.3
MLINKS += libusb20.3 libusb20_be_get_dev_quirk.3
MLINKS += libusb20.3 libusb20_be_get_quirk_name.3
MLINKS += libusb20.3 libusb20_be_add_dev_quirk.3
MLINKS += libusb20.3 libusb20_be_remove_dev_quirk.3
MLINKS += libusb20.3 libusb20_be_alloc_default.3
MLINKS += libusb20.3 libusb20_be_device_foreach.3
MLINKS += libusb20.3 libusb20_be_dequeue_device.3
MLINKS += libusb20.3 libusb20_be_enqueue_device.3
MLINKS += libusb20.3 libusb20_be_free.3
MLINKS += libusb20.3 libusb20_me_get_1.3
MLINKS += libusb20.3 libusb20_me_get_2.3
MLINKS += libusb20.3 libusb20_me_encode.3
MLINKS += libusb20.3 libusb20_me_decode.3
MLINKS += libusb20.3 libusb20_desc_foreach.3
MLINKS += libusb20.3 libusb20_strerror.3
MLINKS += libusb20.3 libusb20_error_name.3

=== debian/changelog ===
freebsd-libs (9.0+ds1-4) unstable; urgency=low

  [ Christoph Egger ]
  * Upload to unstable

  [ Jeff Epler ]
  * Fix 'warning: implicit declaration of function 'reallocf'
    (and several other functions) (Closes: 685625)
  * Make that warning an error so that it does not pass silently
    in the future 

 -- Christoph Egger <christoph@debian.org>  Sat, 29 Dec 2012 15:49:19 -0800

freebsd-libs (9.0+ds1-3) unstable; urgency=low

  [ Robert Millan ]
  * 04_libkvm.diff: Remove struct loadavg kludge, B-D on libc0.1-dev (>=
    2.13-31) instead.
  * Fix a pair of typos in debian/control.
  * kvm_size_t_kludge.diff: Temporary kludge to define size_t (requires
    kfreebsd-kernel-headers >= 0.81).  (Closes: #673431)
  * Fix FTBFS with latest kfreebsd-kernel-headers.

  [ Guillem Jover ]
  * Remove Debian revisions from versions in libmemstat3, libsbuf6 and libcam6
    symbols files.

 -- Robert Millan <rmh@debian.org>  Fri, 25 May 2012 18:37:58 +0200

freebsd-libs (9.0+ds1-2) unstable; urgency=low

  * kvm.h: Use <bsd/nlist.h> rather than <nlist.h>. (Closes: #657772)
  * Remove redundant definitions of bsfq() and bsfl().
  * cdefs_macros.diff: Also fix __va_list in <sys/sbuf.h>.

 -- Robert Millan <rmh@debian.org>  Mon, 19 Mar 2012 22:31:50 +0100

freebsd-libs (9.0+ds1-1) unstable; urgency=low

  [ Jérémy Bobbio ]
  * Fix libnetgraph4 Description. (Closes: #658501)

  [ Robert Millan ]
  * libsbuf6.symbols: Remove sbuf_overflowed (it wasn't present in 9.0-1).
  * Remove all CAM kernel headers to ensure system-wide version is used
    instead.
  * Require kfreebsd-kernel-headers >= 0.73 (for sys/_stdint.h).
  * Require freebsd-buildutils >= 9.0-3. (Closes: #659913)

 -- Robert Millan <rmh@debian.org>  Wed, 15 Feb 2012 23:17:28 +0100

freebsd-libs (9.0-1) unstable; urgency=low

  * New upstream release.

 -- Robert Millan <rmh@debian.org>  Wed, 01 Feb 2012 21:25:30 +0100

=== debian/control ===
Source: freebsd-libs
Section: libs
Priority: optional
Maintainer: GNU/kFreeBSD Maintainers <debian-bsd@lists.debian.org>
Uploaders: Aurelien Jarno <aurel32@debian.org>, Guillem Jover <guillem@debian.org>, Robert Millan <rmh@debian.org>
Build-Depends: debhelper (>= 7), pkg-config,
 freebsd-buildutils (>= 9.0-3~),
 libbsd-dev (>= 0.3.0),
 libc0.1-dev (>= 2.13-31) [kfreebsd-any],
 libgdbm-dev [kfreebsd-any],
 kfreebsd-kernel-headers (>= 0.81) [kfreebsd-any],
# libexpat-dev: aka bsdxml. needed by libgeom
 libexpat-dev [kfreebsd-any],
# libncurses5-dev: needed by libalias
 libncurses5-dev [kfreebsd-any],
 freebsd-glue,
Vcs-Browser: http://svn.debian.org/wsvn/glibc-bsd/trunk/freebsd-libs/
Vcs-Svn: svn://svn.debian.org/glibc-bsd/trunk/freebsd-libs/
Standards-Version: 3.9.2

Package: libsbuf6
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD string buffer library
 This library provides a way to handle string buffers. It contains
 numerous functions such as append, copy, cat, print, trim whitespace
 characters, etc.

Package: libsbuf6-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD string buffer library (udeb)
 This library provides a way to handle string buffers. It contains
 numerous functions such as append, copy, cat, print, trim whitespace
 characters, etc.
 .
 This is a minimal package for use in debian-installer.

Package: libsbuf-dev
Section: libdevel
Architecture: any
Depends: libsbuf6 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Replaces: kfreebsd-kernel-headers
Description: Development files for libsbuf
 This package contains the header files and static library needed to
 compile applications that use libsbuf.

Package: libcam6
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD CAM (Common Access Method) library
 The CAM (Common Access Method) library provides a way for userland
 SCSI applications to construct a SCSI command.

Package: libcam-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libcam6 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev, libbsd-dev
Description: Development files for libcam
 This package contains the header files and static library needed to
 compile applications that use libcam.

Package: libgeom1
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD GEOM library
 This library provides an interface to GEOM, a modular disk I/O request
 transformation framework provided by the kernel of FreeBSD.

Package: libgeom-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libgeom1 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev, libbsd-dev
Description: Development files for libgeom
 This package contains the header files and static library needed to
 compile applications that use libgeom.

Package: libgeom1-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD GEOM library (udeb)
 This library provides an interface to GEOM, a modular disk I/O request
 transformation framework provided by the kernel of FreeBSD.
 .
 This is a minimal package for use in debian-installer.

Package: libusbhid4debian
Architecture: kfreebsd-any
Depends: libusbhid-common (>= ${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD library to access USB HID devices
 USB Human Interface Devices send and receive data layed out in a device
 dependent way. The usbhid library contains routines to extract the report
 descriptor which contains the data layout information and then use this
 information.
 .
 This package contains the header files and static library.

Package: libusbhid-common
Architecture: all
Depends: ${misc:Depends}
Description: Common files for the USB HID devices FreeBSD library
 USB Human Interface Devices send and receive data layed out in a device
 dependent way. The usbhid library contains routines to extract the report
 descriptor which contains the data layout information and then use this
 information.
 .
 This package contains the common files which the library need.

Package: libusbhid-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libusbhid4debian (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev, libbsd-dev
Description: Development files for libusbhid
 This package contains the header files and static library needed to
 compile applications that use libusbhid.

Package: libusb2debian
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD userspace USB programming library
 Library for programming USB applications without the knowledge
 of FreeBSD kernel internals.

Package: libusb2-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libusb2debian (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev, libbsd-dev
Provides: libusb-1.0-0-dev
Conflicts: libusb-dev
Description: Development files for libusb2
 This package contains the header files and static library needed to
 compile applications that use libusb2.
 .
 It should be API compatible with both libusb-1.0 and libusb-0.1
 used on Linux.

Package: libusb2debian-udeb
Package-Type: udeb
Section: debian-installer
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Development files for libusb2 (udeb)
 Library for programming USB applications without the knowledge
 of FreeBSD kernel internals.
 .
 This is a minimal package for use in debian-installer.

Package: libkvm0
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD kvm (kernel memory interface) library
 The kvm library provides a uniform interface for accessing kernel virtual
 memory images, including live systems and crash dumps.

Package: libkvm-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libkvm0 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev, libbsd-dev,
 kfreebsd-kernel-headers (>= 0.81),
Description: Development files for libkvm
 This package contains the header files and static library needed to
 compile applications that use libkvm.

Package: libdevstat7
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD devstat (kernel interface) library
 The devstat library provides a uniform interface for accessing kernel devstat
 interface.

Package: libdevstat-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libdevstat7 (= ${binary:Version}), ${misc:Depends}, libkvm-dev, libc0.1-dev | libc-dev,
 libbsd-dev
Description: Development files for libdevstat
 This package contains the header files and static library needed to
 compile applications that use libdevstat.

Package: libmemstat3
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD memstat (kernel interface) library
 The memstat library provides a uniform interface for accessing kernel memstat
 interface.

Package: libmemstat-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libmemstat3 (= ${binary:Version}), ${misc:Depends}, libkvm-dev, libc0.1-dev | libc-dev,
 libbsd-dev
Description: Development files for libmemstat
 This package contains the header files and static library needed to
 compile applications that use libmemstat.

Package: libnetgraph4
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD netgraph (kernel interface) library
 The netgraph library provides a uniform interface for accessing kernel netgraph
 interface.

Package: libnetgraph-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libnetgraph4 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev, libbsd-dev
Description: Development files for libnetgraph
 This package contains the header files and static library needed to
 compile applications that use libnetgraph.

Package: libipx2
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD IPX address conversion support library
 The IPX library provides a set of routune to convert IPX addresses.

Package: libipx-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libipx2 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libipx
 This package contains the header files and static library needed to
 compile applications that use libipx.

Package: libipx2-udeb
Section: debian-installer
Package-Type: udeb
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD IPX address conversion support library (udeb)
 The IPX library provides a set of routune to convert IPX addresses.
 .
 This is a minimal package for use in debian-installer.

Package: libkiconv4
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD kernel side iconv library (udeb)
 The kiconv library provides multi-byte character conversion tables for kernel
 side iconv service.

Package: libkiconv-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libkiconv4 (= ${binary:Version}), ${misc:Depends}, libc0.1-dev | libc-dev
Description: Development files for libkiconv
 This package contains the header files and static library needed to
 compile applications that use libkiconv.

Package: libjail1
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD jail library
 The jail library provides support for FreeBSD jails.

Package: libjail-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libjail1 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libjail
 This package contains the header files and static library needed to
 compile applications that use libjail.

Package: libalias7
Architecture: kfreebsd-any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: FreeBSD packet aliasing library
 The libalias library is a collection of functions for aliasing and
 dealiasing of IP packets, intended for masquerading and network address
 translation (NAT).

Package: libalias-dev
Section: libdevel
Architecture: kfreebsd-any
Depends: libalias7 (= ${binary:Version}), ${misc:Depends}
Description: Development files for libalias
 This package contains the header files and static library needed to
 compile applications that use libalias.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.

SHELL = bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

full_version	:= $(shell dpkg-parsechangelog | grep ^Version: | sed -e 's/^.*: //g')
tar_version	:= $(shell echo $(full_version) | sed -e 's/-.*//g')
svn_revision	:= $(shell echo $(full_version) | sed -e 's/.*~svn\([0-9]*\)-[0-9]*/\1/g')
version		:= $(shell echo $(full_version) | sed -e 's/[~+-].*//g')
major		:= $(shell echo $(version) | sed -e 's/\..*//g')
revision	:= $(shell echo $(full_version) | sed -e 's/^[^+-]*//g')

CFLAGS = -Wall -g -pipe -fPIC -I. -I$(CURDIR)/sys -D_GNU_SOURCE \
         -D__va_list=__builtin_va_list \
	 -Werror=implicit-function-declaration

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

SOURCE = freebsd-libs
SVN		:= http://svn.freebsd.org/base/release/$(version).0
#SVN		:= http://svn.freebsd.org/base/releng/$(version)
#SVN		:= http://svn.freebsd.org/base/stable/$(major)
#SVN		:= http://svn.freebsd.org/base/head
ORIGDIR = $(SOURCE)-$(tar_version)
TARNAME = $(SOURCE)_$(tar_version).orig.tar.gz

PATH := /usr/lib/freebsd:$(PATH)
DESTDIR = $(CURDIR)/debian/tmp
PMAKE = COPTS="$(CFLAGS)" CFLAGS="$(CFLAGS) -isystem /usr/include/freebsd -I$(CURDIR)/debian/local/include" NO_WERROR=1 NOGCCERROR=1 \
        NOSHARED=NO NO_SHARED=NO NO_PROFILE=1 DESTDIR=$(DESTDIR) make
kernel = $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)

get-orig-source:
	rm -rf $(ORIGDIR)
	mkdir -p $(ORIGDIR)/share/misc
	mkdir -p $(ORIGDIR)/sys/kern
	mkdir -p $(ORIGDIR)/sys/sys
	for i in lib/libcam lib/libdevstat lib/libgeom lib/libipx \
	         lib/libkiconv lib/libnetgraph lib/libjail \
	         lib/libkvm lib/libmemstat lib/libsbuf lib/libusb \
	         lib/libusbhid sys/cam \
		lib/libalias sys/netinet/libalias sys/modules/libalias \
	         sys/kern/subr_sbuf.c \
	         sys/sys/sbuf.h \
	         share/misc/usb_hid_usages ; do \
	    svn export $(SVN)/$$i $(ORIGDIR)/$$i ; \
	done
	# Remove unused files with non GPL compatible license (eg BSD 4 clauses)
	rm -f $(ORIGDIR)/sys/cam/scsi/scsi_ch.*
	rm -f $(ORIGDIR)/lib/libkvm/kvm_ia64.c
	rm -f $(ORIGDIR)/lib/libkvm/kvm_powerpc.c

	# Remove all CAM kernel headers to ensure system-wide version is used instead
	find $(ORIGDIR)/sys/cam -name \*.h | xargs rm -f

	tar --numeric-owner --owner 0 --group 0 -czf ../$(TARNAME) $(ORIGDIR)
	rm -rf $(ORIGDIR)

BUILD_TARGETS = build-sbuf

ifeq ($(kernel), kfreebsd)
BUILD_TARGETS += \
	build-cam \
	build-geom \
	build-ipx \
	build-kiconv \
	build-kvm \
	build-usbhid \
	build-usb \
	build-devstat \
	build-memstat \
	build-netgraph \
	build-jail \
	build-alias
endif

build: $(BUILD_TARGETS)

build-cam: build-cam-stamp
build-cam-stamp: build-sbuf
	$(PMAKE) -C $(CURDIR)/lib/libcam SHLIBDIR=./
	touch $@

build-geom: build-geom-stamp
build-geom-stamp: build-sbuf
	$(PMAKE) -C $(CURDIR)/lib/libgeom SHLIBDIR=./
	touch $@

build-netgraph: build-netgraph-stamp
build-netgraph-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libnetgraph SHLIBDIR=./
	touch $@

build-ipx: build-ipx-stamp
build-ipx-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libipx SHLIBDIR=./
	touch $@

build-kiconv: build-kiconv-stamp
build-kiconv-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libkiconv SHLIBDIR=./
	touch $@

build-kvm: build-kvm-stamp
build-kvm-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libkvm SHLIBDIR=./
	touch $@

build-devstat: build-devstat-stamp
build-devstat-stamp: build-kvm
	$(PMAKE) -C $(CURDIR)/lib/libdevstat SHLIBDIR=./
	touch $@

build-memstat: build-memstat-stamp
build-memstat-stamp: build-kvm
	$(PMAKE) -C $(CURDIR)/lib/libmemstat SHLIBDIR=./
	touch $@

build-sbuf: build-sbuf-stamp
build-sbuf-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libsbuf SHLIBDIR=./
	touch $@

build-usbhid: build-usbhid-stamp
build-usbhid-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libusbhid SHLIBDIR=./
	touch $@

build-usb: build-usb-stamp
build-usb-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libusb SHLIBDIR=./
	touch $@

build-jail: build-jail-stamp
build-jail-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libjail SHLIBDIR=./
	touch $@

build-alias: build-alias-stamp
build-alias-stamp:
	$(PMAKE) -C $(CURDIR)/lib/libalias SHLIBDIR=./
	touch $@

clean:
	dh_testdir
	dh_testroot
	$(PMAKE) -C $(CURDIR)/lib/libsbuf clean
ifeq ($(kernel), kfreebsd)
	$(PMAKE) -C $(CURDIR)/lib/libcam clean
	$(PMAKE) -C $(CURDIR)/lib/libnetgraph clean
	$(PMAKE) -C $(CURDIR)/lib/libdevstat clean
	$(PMAKE) -C $(CURDIR)/lib/libmemstat clean
	$(PMAKE) -C $(CURDIR)/lib/libgeom clean
	$(PMAKE) -C $(CURDIR)/lib/libipx clean
	$(PMAKE) -C $(CURDIR)/lib/libkiconv clean
	$(PMAKE) -C $(CURDIR)/lib/libkvm clean
	$(PMAKE) -C $(CURDIR)/lib/libusbhid clean
	$(PMAKE) -C $(CURDIR)/lib/libusb clean
	$(PMAKE) -C $(CURDIR)/lib/libjail clean
	$(PMAKE) -C $(CURDIR)/lib/libalias clean
endif
	rm -f *stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	mkdir -p $(DESTDIR)/lib $(DESTDIR)/usr/lib $(DESTDIR)/usr/include $(DESTDIR)/usr/share/man/man3
	$(PMAKE) -C $(CURDIR)/lib/libsbuf install SHLIBDIR=/lib
ifeq ($(kernel), kfreebsd)
	$(PMAKE) -C $(CURDIR)/lib/libcam install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libgeom install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libipx install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libkiconv install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libkvm install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libdevstat install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libmemstat install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libnetgraph install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libusbhid install SHLIBDIR=/usr/lib
	$(PMAKE) -C $(CURDIR)/lib/libusb install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libjail install SHLIBDIR=/lib
	$(PMAKE) -C $(CURDIR)/lib/libalias install SHLIBDIR=/usr/lib

	mkdir -p $(CURDIR)/debian/tmp/usr/lib/pkgconfig
	install -m644 debian/libusb*.pc $(CURDIR)/debian/tmp/usr/lib/pkgconfig
	mkdir -p $(CURDIR)/debian/tmp/usr/bin
	install -m755 debian/libusb-config $(CURDIR)/debian/tmp/usr/bin
endif

	dh_install --list-missing

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_link -i
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -a
	dh_installdocs -a
#	dh_installexamples
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
#	dh_perl
#	dh_python
	dh_makeshlibs -a
ifeq ($(kernel), kfreebsd)
	dh_makeshlibs -plibgeom1 --add-udeb=libgeom1-udeb
	dh_makeshlibs -plibipx2 --add-udeb=libipx2-udeb
	dh_makeshlibs -plibsbuf6 --add-udeb=libsbuf6-udeb
	dh_makeshlibs -plibusb2debian --add-udeb=libusb2debian-udeb
endif
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure
